<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <title>Username Database</title>
    <style>
      
    </style>
</head>
<body>
    <h2 class="title">User Database</h2>
    <a href="/add-user" class="btn btn-success" style="float:right;margin-right: 100px;">Add User</a>
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-sm table-dark">
            <thead class="thead-light">
              <tr>
                <th scope="col">Name</th>
                <th scope="col">Age</th>
                <th scope="col">Username</th>
                <th scope="col">Action</th>
                <th scope="col">User Information</th>
              </tr>
            </thead>
            <tbody>
              <% for(var i=0; i < users.length; i++) { %>
                <tr>
                  <th scope="row"><%= users[i].name %></th>
                  <td><%= users[i].age %> years</td>
                  <td><%= users[i].username %></td>
                  <td>
                    <a href="/edit/<%= users[i].id %>" class="btn btn-success">Edit</a>
                    <a href="/delete/<%= users[i].id %>" class="btn btn-danger">Hapus</a>
                  </td>
                  <td>
                    <a href="/user-history/<%= users[i].id %>" class="btn btn-primary">History</a>
                    <a href="/user-biodata/<%= users[i].id %>" class="btn btn-primary">Biodata</a>
                  </td>
                </tr>
              <% } %>
            </tbody>
          </table>
      </div>
</body>
</html>